<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/osal/MemoryP.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_008026a3141b0da42ef8f6d1d72d6192.html">osal</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">MemoryP.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Memory module for the RTOS Porting Interface.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stdbool.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga4d1d98aed7b5746e3fc05bfdeb48833e"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4d1d98aed7b5746e3fc05bfdeb48833e">MemoryP_ctrlAlloc</a> (uint32_t size, uint8_t alignment)</td></tr>
<tr class="memdesc:ga4d1d98aed7b5746e3fc05bfdeb48833e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function which is used to allocate memory for control operations.  <a href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4d1d98aed7b5746e3fc05bfdeb48833e">More...</a><br /></td></tr>
<tr class="separator:ga4d1d98aed7b5746e3fc05bfdeb48833e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5915670001695b5263a8edb1476120a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5915670001695b5263a8edb1476120a7">MemoryP_ctrlFree</a> (void *ptr, uint32_t size)</td></tr>
<tr class="memdesc:ga5915670001695b5263a8edb1476120a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function which is used to free previously allocated control memory.  <a href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5915670001695b5263a8edb1476120a7">More...</a><br /></td></tr>
<tr class="separator:ga5915670001695b5263a8edb1476120a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga97f16e8116d74cba6a9cee92324923b9"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga97f16e8116d74cba6a9cee92324923b9">MemoryP_dataAlloc</a> (uint32_t size, uint8_t alignment)</td></tr>
<tr class="memdesc:ga97f16e8116d74cba6a9cee92324923b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function which is used to allocate memory for data operations.  <a href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga97f16e8116d74cba6a9cee92324923b9">More...</a><br /></td></tr>
<tr class="separator:ga97f16e8116d74cba6a9cee92324923b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga728f516aab7003dc8028d5420d35e7fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga728f516aab7003dc8028d5420d35e7fb">MemoryP_dataFree</a> (void *ptr, uint32_t size)</td></tr>
<tr class="memdesc:ga728f516aab7003dc8028d5420d35e7fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function which is used to free previously allocated data memory.  <a href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga728f516aab7003dc8028d5420d35e7fb">More...</a><br /></td></tr>
<tr class="separator:ga728f516aab7003dc8028d5420d35e7fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Memory module for the RTOS Porting Interface. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
